<!--
//
// ■ 進行動態按鈕圖檔的切換動作
//

toggleKey = new Object();
toggleKey[0] = "_off";
toggleKey[1] = "_on";
toggleKey[2] = "_ovr";
toggleKey[3] = "_out";
toggleKey[4] = "_mdn";
toggleKey[5] = "_mup";

function imgChange(id,act){
 if(document.images){ document.images[id].src = eval("img." + id + toggleKey[act] + ".src");}
}

// 當這段程式碼應用到播放器使用時：
// 以函式 imgChange('按鈕識別名稱',0) 進行的動作即使用 "off" 的圖檔；
// 以函式 imgChange('按鈕識別名稱',1) 進行的動作即使用 "on"  的圖檔。

// 下面的部份就是設定 "off" 與 "on" 的動態按鈕圖檔。
// vmute, pmode, rept, playt, pauzt, stopt 這些都是「按鈕識別名稱」。

if(document.images){
 img = new Object();

 // 「靜音模式」按鈕的圖檔 (已關閉／已開啟)
 img.vmute_off = new Image();
 img.vmute_off.src = "./img/btn_mute_off.gif";
 img.vmute_on = new Image();
 img.vmute_on.src = "./img/btn_mute_on.gif";
 
 // 「播放順序模式」按鈕的圖檔 (循序／隨機)
 img.pmode_off = new Image();
 img.pmode_off.src = "./img/btn_rndmode_off.gif";
 img.pmode_on = new Image();
 img.pmode_on.src = "./img/btn_rndmode_on.gif";

 // 「是否重複播放」按鈕的圖檔 (不重複／重複)
 img.rept_off = new Image();
 img.rept_off.src = "./img/btn_rept_off.gif";
 img.rept_on = new Image();
 img.rept_on.src = "./img/btn_rept_on.gif";

 // 「播放」按鈕的圖檔 (非播放中／播放中)
 img.playt_off = new Image();
 img.playt_off.src = "./img/btn_play.gif";
 img.playt_on = new Image();
 img.playt_on.src = "./img/btn_play_on.gif";

 // 「暫停」按鈕的圖檔 (非暫停中／暫停中)
 img.pauzt_off = new Image();
 img.pauzt_off.src = "./img/btn_pauz_off.gif";
 img.pauzt_on = new Image();
 img.pauzt_on.src = "./img/btn_pauz_on.gif";

 // 「停止」按鈕的圖檔 (未被停止／已停止)
 img.stopt_off = new Image();
 img.stopt_off.src = "./img/btn_stop.gif";
 img.stopt_on = new Image();
 img.stopt_on.src = "./img/btn_stop_on.gif";

 // 顯示播放狀態的 Scope 動態圖檔 (靜止／轉動)
 img.scope_off = new Image();
 img.scope_off.src = "./img/roll_off.gif";
 img.scope_on = new Image();
 img.scope_on.src = "./img/roll_on.gif";

 // 此面板同時也附上另一套顯示「播放狀態」的 Scope 動態圖檔：
 //   scope_off.gif, scope_on.gif
 // 您可以將這兩個圖檔取代 roll_off.gif, roll_on.gif 試試看。
 // 請注意要同時修改 exobud.htm 對應的地方為這樣子：
 // img name="scope" src="./img/scope_off.gif" width=17 height=16 ...

}

//-->